Package org.eclipse.ui.texteditor

# Interface ITextEditorDropTargetListener

All Superinterfaces:
  `DropTargetListener`, `EventListener`, `SWTEventListener`

public interface ITextEditorDropTargetListener extends DropTargetListener
Interface to be implemented by SWT drop target listeners to be used with `AbstractTextEditor`.

This interface is not part of the official API.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`Transfer[]`
`getTransfers()`
Returns the list of `Transfer` agents that are supported by this listener.

### Methods inherited from interface org.eclipse.swt.dnd.DropTargetListener

`dragEnter, dragLeave, dragOperationChanged, dragOver, drop, dropAccept`

## Method Details

### getTransfers

Transfer[] getTransfers()
Returns the list of `Transfer` agents that are supported by this listener.

Returns:
  the list of transfer agents supported by this listener